Debian Bug report logs - #420795
chemical-mime-data: Unknown media type in type 'chemical/x-*'

version graph

Package: chemical-mime-data; Maintainer for chemical-mime-data is Debichem Team <debichem-devel@lists.alioth.debian.org>; Source for chemical-mime-data is src:chemical-mime-data.

Reported by: Laurent Bonnaud <Laurent.Bonnaud@inpg.fr>

Date: Tue, 24 Apr 2007 16:54:02 UTC

Severity: normal

Tags: fixed-upstream, wontfix

Found in version chemical-mime-data/0.1.94-2

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=335

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
Bug#420795; Package chemical-mime-data. Full text and rfc822 format available.

Acknowledgement sent to Laurent Bonnaud <Laurent.Bonnaud@inpg.fr>:
New Bug report received and forwarded. Copy sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Laurent Bonnaud <Laurent.Bonnaud@inpg.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: chemical-mime-data: Unknown media type in type 'chemical/x-*'
Date: Tue, 24 Apr 2007 18:49:34 +0200
Package: chemical-mime-data
Version: 0.1.94-2
Severity: normal


Hi,

a lot of package postinst scripts display the following error
messages:

Unknown media type in type 'chemical/x-alchemy'
Unknown media type in type 'chemical/x-cache'
[many more...]

because they execute this command:

  update-mime-database /usr/share/mime

I believe that chemical-mime-data is responsible for this.

This is annoying because it pollutes my terminal when I upgrade
packages.


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (100, 'unstable'), (99, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.20-1-686 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages chemical-mime-data depends on:
ii  gnome-mime-data               2.18.0-1   base MIME and Application database
ii  shared-mime-info              0.21-1     FreeDesktop.org shared MIME databa

chemical-mime-data recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
Bug#420795; Package chemical-mime-data. Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert@wgdd.de>:
Extra info received and forwarded to list. Copy sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>. Full text and rfc822 format available.

Message #10 received at 420795@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert@wgdd.de>
To: 420795@bugs.debian.org, control@bugs.debian.org
Cc: 420795-submitter@bugs.debian.org
Subject: Re: Bug#420795: chemical-mime-data: Unknown media type in type 'chemical/x-*'
Date: Tue, 24 Apr 2007 19:22:59 +0200
tags 420795 + wontfix
thanks

Am Dienstag, den 24.04.2007, 18:49 +0200 schrieb Laurent Bonnaud:

> a lot of package postinst scripts display the following error
> messages:
> 
> Unknown media type in type 'chemical/x-alchemy'
> Unknown media type in type 'chemical/x-cache'
> [many more...]
> 
> because they execute this command:
> 
>   update-mime-database /usr/share/mime
> 
> I believe that chemical-mime-data is responsible for this.
> 
> This is annoying because it pollutes my terminal when I upgrade
> packages.

And what do you expect me to do? Did you read the READMEs of
chemical-mime-data? The chemical/ media type has never been registered
with IANA. That's the reason, why this work is not put into
shared-mime-info officially. And that's the reason, why
update-mime-database prints the warning. The only solution(s) I can
suggest you, are: (a) remove chemical-mime-data if you don't like it,
(b) request redirection of update-mime-database output to /dev/null for
the packages that call this binary in their postinst scripts, (c) ask
for removal of the warning output or a --quiet option for the
update-mime-database binary (shared-mime-info package) or (d) help with
the RfC for the chemical media type. The only way I could help is to
remove all chemical MIME types from the chemical-mime-data package,
which is pretty much the same as de-installing chemical-mime-data.

Regards, Daniel




Tags added: wontfix Request was from Daniel Leidert <daniel.leidert@wgdd.de> to control@bugs.debian.org. (Tue, 24 Apr 2007 17:24:10 GMT) Full text and rfc822 format available.

Message sent on to Laurent Bonnaud <Laurent.Bonnaud@inpg.fr>:
Bug#420795. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=335. Request was from Charles Plessy <charles-debian-nospam@plessy.org> to control@bugs.debian.org. (Wed, 16 Jan 2008 01:12:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#420795; Package chemical-mime-data. (Sat, 27 Mar 2010 16:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Sat, 27 Mar 2010 16:03:03 GMT) Full text and rfc822 format available.

Message #22 received at 420795@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 420795@bugs.debian.org
Subject: Re: chemical-mime-data: Unknown media type in type 'chemical/x-*'
Date: Sat, 27 Mar 2010 17:00:42 +0100
[Daniel Leidert]
> And what do you expect me to do? Did you read the READMEs of
> chemical-mime-data? The chemical/ media type has never been
> registered with IANA.

Well, an obvious idea would be to ask IANA to register these MIME
types.  As far as I know, there is no need to write a complete RFC to
get a file type registered with IANA.  Registering them is a good idea
anyway, to ensure everyone use the same MIME type for these
formats. :)

Another would be to ask update-mime-database to be changed to not
output any warning for MIME types using the 'x-' prefix, as it is
supposed to indicate non-official MIME types.

Not doing anything do not seem like a good approach, as these messages
are confusing and worrying users (like me, who have wondered where
they came from for a lone time :).

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#420795; Package chemical-mime-data. (Sat, 27 Mar 2010 19:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert@wgdd.de>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Sat, 27 Mar 2010 19:39:06 GMT) Full text and rfc822 format available.

Message #27 received at 420795@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert@wgdd.de>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: 420795@bugs.debian.org
Subject: Re: Bug#420795: chemical-mime-data: Unknown media type in type 'chemical/x-*'
Date: Sat, 27 Mar 2010 20:36:09 +0100
Am Samstag, den 27.03.2010, 17:00 +0100 schrieb Petter Reinholdtsen:
> [Daniel Leidert]
> > And what do you expect me to do? Did you read the READMEs of
> > chemical-mime-data? The chemical/ media type has never been
> > registered with IANA.
> 
> Well, an obvious idea would be to ask IANA to register these MIME
> types.  As far as I know, there is no need to write a complete RFC to
> get a file type registered with IANA.  Registering them is a good idea
> anyway, to ensure everyone use the same MIME type for these
> formats. :)

Well, there was a try to register this media type in 1995/96, which has
not succeeded (nor failed). The original proponents are currently not
interested in another try.

However, the chemical/* media type has still been used and now we are in
the unfortunate situation, that this unregistered media type is used.
This is, why these mime types are not part of shared-mime-info and are
shipped in a separate package.

> Another would be to ask update-mime-database to be changed to not
> output any warning for MIME types using the 'x-' prefix, as it is
> supposed to indicate non-official MIME types.

Which has already been done.

> Not doing anything

That's not the case here.

> do not seem like a good approach, as these messages
> are confusing and worrying users (like me, who have wondered where
> they came from for a lone time :).

KDE and a few other packages are causing similar messages. So I prefer a
solution in update-mime-database, which I already requested.

This bug report is open, because there is no solution yet. And I don't
believe, that something will change.

Regards, Daniel





Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#420795; Package chemical-mime-data. (Sat, 27 Mar 2010 19:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Sat, 27 Mar 2010 19:57:03 GMT) Full text and rfc822 format available.

Message #32 received at 420795@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 420795@bugs.debian.org
Subject: Re: Bug#420795: chemical-mime-data: Unknown media type in type 'chemical/x-*'
Date: Sat, 27 Mar 2010 20:54:02 +0100
[Daniel Leidert]
> KDE and a few other packages are causing similar messages. So I
> prefer a solution in update-mime-database, which I already
> requested.

I had a closer look, and did not quite understand what is going on.
The oregani package seem to add non-standard mime types, but its
entries do not cause warnings from update-mime-database, while
chemical-mime-data and a few others do cause such warnings.  I was
unable to figure out how these two packages differ.  Just mentioning
here, in case someone else is able to figure out how they differ and
perhaps change chemical-mime-data to avoid the warning.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#420795; Package chemical-mime-data. (Sat, 27 Mar 2010 23:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert@wgdd.de>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Sat, 27 Mar 2010 23:12:02 GMT) Full text and rfc822 format available.

Message #37 received at 420795@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert@wgdd.de>
To: Petter Reinholdtsen <pere@hungry.com>, 420795@bugs.debian.org
Subject: Re: Bug#420795: chemical-mime-data: Unknown media type in type 'chemical/x-*'
Date: Sun, 28 Mar 2010 00:10:24 +0100
Am Samstag, den 27.03.2010, 20:54 +0100 schrieb Petter Reinholdtsen:
> [Daniel Leidert]
> > KDE and a few other packages are causing similar messages. So I
> > prefer a solution in update-mime-database, which I already
> > requested.
> 
> I had a closer look, and did not quite understand what is going on.
> The oregani package seem to add non-standard mime types, but its
> entries do not cause warnings from update-mime-database, while
> chemical-mime-data and a few others do cause such warnings.

Some packages redirect the output of update-mime-database to /dev/null
(in the maintainer scripts). Is that the case for oregani?

Regards, Daniel





Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#420795; Package chemical-mime-data. (Sun, 28 Mar 2010 06:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Sun, 28 Mar 2010 06:42:03 GMT) Full text and rfc822 format available.

Message #42 received at 420795@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 420795@bugs.debian.org
Subject: Re: Bug#420795: chemical-mime-data: Unknown media type in type 'chemical/x-*'
Date: Sun, 28 Mar 2010 08:41:07 +0200
[Daniel Leidert]
> Some packages redirect the output of update-mime-database to
> /dev/null (in the maintainer scripts). Is that the case for oregani?

No. :)

The oregano package defines the application/x-oregano mime type, and
seem to be more successful.  I'm looking at version 0.69.1-1 in
testing.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#420795; Package chemical-mime-data. (Sun, 28 Mar 2010 09:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert@wgdd.de>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Sun, 28 Mar 2010 09:24:03 GMT) Full text and rfc822 format available.

Message #47 received at 420795@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert@wgdd.de>
To: Petter Reinholdtsen <pere@hungry.com>, 420795@bugs.debian.org
Subject: Re: Bug#420795: chemical-mime-data: Unknown media type in type 'chemical/x-*'
Date: Sun, 28 Mar 2010 11:22:39 +0200
Am Sonntag, den 28.03.2010, 08:41 +0200 schrieb Petter Reinholdtsen:
> [Daniel Leidert]
> > Some packages redirect the output of update-mime-database to
> > /dev/null (in the maintainer scripts). Is that the case for oregani?
> 
> No. :)
> 
> The oregano package defines the application/x-oregano mime type, and
> seem to be more successful.

That's absolutely ok. It is a different situation. update-mime-database
complains about the unregistered 'chemical' media type, not about the an
unregistered MIME type (it doesn't know, which MIME types have been
registered - but it knows the registered media types, which have been
proposed in the MIME-RFCs. 'chemical' has never been registered, so it
does complain about all MIME types with this media type. Ditto for e.g.
'fonts' in fonts/package or 'all' in 'all/allfiles'. That's why u-m-d
complains.

Regards, Daniel





Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#420795; Package chemical-mime-data. (Sun, 28 Mar 2010 09:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Sun, 28 Mar 2010 09:57:08 GMT) Full text and rfc822 format available.

Message #52 received at 420795@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 420795@bugs.debian.org
Cc: Filip Van Raemdonck <mechanix@debian.org>
Subject: Re: Bug#420795: chemical-mime-data: Unknown media type in type 'chemical/x-*'
Date: Sun, 28 Mar 2010 11:53:52 +0200
[Daniel Leidert]
> That's absolutely ok. It is a different
> situation. update-mime-database complains about the unregistered
> 'chemical' media type, not about the an unregistered MIME type (it
> doesn't know, which MIME types have been registered - but it knows
> the registered media types, which have been proposed in the
> MIME-RFCs. 'chemical' has never been registered, so it does complain
> about all MIME types with this media type. Ditto for e.g.  'fonts'
> in fonts/package or 'all' in 'all/allfiles'. That's why u-m-d
> complains.

I still fail to understand how application/x-oregano is different from
for example chemical/x-alchemy.  Neiter are registered with IANA, and
I fail to find any MIME RFC proposing them.

Perhaps the author of u-m-d knows?  Cc to Filip Van Raemdonck.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#420795; Package chemical-mime-data. (Sun, 28 Mar 2010 10:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert@wgdd.de>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Sun, 28 Mar 2010 10:36:03 GMT) Full text and rfc822 format available.

Message #57 received at 420795@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert@wgdd.de>
To: Petter Reinholdtsen <pere@hungry.com>, 420795@bugs.debian.org
Subject: Re: Bug#420795: chemical-mime-data: Unknown media type in type 'chemical/x-*'
Date: Sun, 28 Mar 2010 12:33:25 +0200
Am Sonntag, den 28.03.2010, 11:53 +0200 schrieb Petter Reinholdtsen:
> [Daniel Leidert]
> > That's absolutely ok. It is a different
> > situation. update-mime-database complains about the unregistered
> > 'chemical' media type, not about the an unregistered MIME type (it
> > doesn't know, which MIME types have been registered - but it knows
> > the registered media types, which have been proposed in the
> > MIME-RFCs. 'chemical' has never been registered, so it does complain
> > about all MIME types with this media type. Ditto for e.g.  'fonts'
> > in fonts/package or 'all' in 'all/allfiles'. That's why u-m-d
> > complains.
> 
> I still fail to understand how application/x-oregano is different from
> for example chemical/x-alchemy.

'application' has been registered, but 'chemical' has not. u-m-d
complains about the primary part of the MIME type: 'chemical',
independent from the specific sub-type. application, text, video, ...
are all registered primary types. 'chemical' has been proposed as
primary type in 1995/96, but has never been registered. u-m-d registers
the know primary (or media) types in const media_types and because
'chemical' is not part of it, it complains about the *primary/media*
type in get_type(). This is what you see on your screen.

To get back to your example: application/x-oregano is an unregistered
MIME type (that JFTR follows the RFC - the 'x-' indicates an
unregistered sub-type) with a valid primary type. That's why u-m-d does
not complain. chemical/pdb is also an unregistered MIME type, but with
an unregistered primary type. So u-m-d complains.

Do you understand know?

Regards, Daniel





Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 30 Apr 2012 16:39:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:47:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.